.popup {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: 0;
  overflow: hidden;
  background: 0 0;
  opacity: 0;
  pointer-events: none;



  &.opened {
    height: 100%;
    overflow: auto;
    background: rgba($brown, 0.5);
    cursor: pointer;
    opacity: 1;
    pointer-events: auto;

    .popup__content {
      transform: translateY(0);
      opacity: 1;
      transition: opacity 0.3s, transform 0.5s;
    }
  }

  &--thanks.opened {
    .popup__content {
      padding-left: 28px;
      padding-right: 28px;
      padding-bottom: 91px;
    }

    .popup__title {
      margin-bottom: 42px;

      &::before {
        @include pseudo;
        width: 106px;
        height: 106px;
        margin: 0 auto;
        margin-bottom: 42px;
        background-image: url("../images/thx.svg");
      }
    }

    .popup__close {
      top: unset;
      bottom: 40px;
    }
  }
}

.popup__text {
  text-align: center;
}

.popup__wrapper {
  position: relative;
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: 100%;
  padding: 70px 0 30px;
  overflow: auto;
}

.popup__content {
  position: relative;
  width: 100%;
  padding: 70px 50px 37px 50px;
  transform: translateY(30px);
  cursor: default;
  opacity: 0;
  background-color: #FFFFFF;
  transition: opacity 0s, transform 0s;
}

.popup__close {
  appearance: none;
  padding: 0;
  background: transparent;
  border: none;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 26px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 28px;
  height: 28px;
  border-radius: 50%;
  transition: all 0.3s;

  &:hover {
    background-color: #E5E5E5;
  }
}

.popup__title {
  margin-bottom: 62px;
}

.popup__button {
  border-radius: 0;
  appearance: none;
  padding: 24px 32px;
  background-color: #F3F3F3;
  border: none;
}

.popup__row {
  display: flex;
  margin-top: 50px;
  margin-bottom: 66px;
  justify-content: center;

  .checkbox {
    &:first-child {
      margin-right: 19px;
    }
  }
}

@media (min-width: 520px) {
  .popup__content {
    max-width: 473px;
    padding-left: 107px;
    padding-right: 107px;
  }

  .popup__button.button {
    left: 50%;
    transform: translateX(-50%);
  }

  .popup {
    &--thanks.opened {
      .popup__content {
        max-width: 503px;
        padding-left: 100px;
        padding-right: 100px;
      }
    }
  }
}
